Cindy has challenged Weiwei with a simple question today, and Weiwei promises to give the answer before lunch break, or else he is going to buy lunch for Cindy. There are only 5 minutes left until lunch starts, but Weiwei still has no idea whatsoever about how to solve this problem. You, as Weiwei's best friend, are trying to help him find out the answer.

Weiwei is given a multiset of integers. Out of all integers, only one appeared an odd number of times, and all others have appeared an even number of times. What is the value of this integer?

#### Input Specification

The first line of input contains the integer .

Next lines: one integer , which is a number in the multiset.

In the given multiset, exactly one integer will appear an odd number of times, and every other integer will appear an even number of times.

#### Output Specification

Output one integer, the integer that occurred an odd number of times.

#### Sample Input

```
5
3
3
18
4
4
```

#### Sample Output

`18`

## Comments

if you want 5/7 of the points just submit your code but to COCI '14 Contest 2 #2 Utrka

I need the answer for c++. I can't solve it without a MLE. Where can I find the answer?

You can ask for help on discord

This comment is hidden due to too much negative feedback. Show it anyway.

Bruh https://dmoj.ca/problem/odd/submissions/?status=AC&language=PY2&language=PY3&language=PYPY&language=PYPY3

If the programming language you use takes more than 3 MB of ram to start and does not have a custom memory limit, feel free to open up a ticket.

Note that Python users should use the CPython interpreter instead of PyPy.

what if n is 2?

This comment is hidden due to too much negative feedback. Show it anyway.

But what's gonna be the output?

Per the problem statement, the integer that appeared an odd number of times.

Note that your program can have undefined behavior on test cases that do not respect the input specification. Consider the following test case:

Your program can do anything when run on this test case - for example, it can crash or go into an infinite loop. It only needs to have the correct behavior on valid test cases.

This comment is hidden due to too much negative feedback. Show it anyway.

You have never made a submission that passed with a map to this problem; are you referring to someone else who passed with a map? If so, could you link their submission?

This comment is hidden due to too much negative feedback. Show it anyway.

Are you saying you could have theoretically passed with a map (i.e., no one has passed with a map)?

This comment is hidden due to too much negative feedback. Show it anyway.

How come I get a memory error from actually submitting nothing? Submitting

`1`

uses up 5.67 MB.I'm not sure what I'm doing wrong

The problem isn't solvable in all languages, because of the low global memory limit. In particular, PyPy consumes a lot of memory.

Hint: If you keep getting TLE's in Java, try BufferedReader --> https://dmoj.ca/tips/

You might not need it but it will make your life much easier! :D

Java outofmemory error?

Your solution requires storing all integers, which takes memory. Try to aim for sublinear memory.

Just wondering if this question is possible in Python?

Yes, this problem is doable in any language (it is not computationally intensive).

I managed to find a method to fit my submission under the time limit, but it ends up exceeding the memory limit. If I

`import sys`

and read all the input data with`sys.stdin.read().split('\n')`

, I get up to 100 M of memory. However, if I use any other method to read input it simply takes too long. There still has yet to be a precedent of a python solution to this problem.This comment is hidden due to too much negative feedback. Show it anyway.

Why did arock's solution pass using 26 MB? The problem description says its limited to only 4 MB.

For Java, MLE is calculated based off the size of the Java

heap. As such, it does not take the overhead of the JVM into account, though the number displayed for submission statuses is the memory the entire JVM took. arock's submission allocated under 4MB of heap space, though the overall JVM usage was much higher. See this and this for more info.Heya, got nothing but love for you guys; just pointing out a point inconsistency with Utrka (6 pts.)

That question is actually a fair bit easier than this one. The solution I used on that one gives me both

TLEandMLEon this one.This comment is hidden due to too much negative feedback. Show it anyway.

If you submit your solution in C++ or C++11, you may get IR errors. Try to solve it in C.

how do you solve this

seriously i have no intention of buying Cindy lunch

Edit:yay~Edit:NO WTF OVER FIVE MINUTES